#pragma once

#include <Arduino.h>
#include <RingBuf.h>
#include "DataRecorder.h"
#include "ConfigManager.h"


class UpperSerial
{
public:
    void Init(DataRecorder* rec, ConfigManager* cfg);
    void Process();

private:
    void CmdHandler(String cmdLine);
    void ParseCmd(String cmd);

private:
    RingBuf<uint8_t, 256> ringBuffer;
    String cmdLine;
    DataRecorder* rec;
    ConfigManager* cfg;
};
