#pragma once

#include <Arduino.h>

#define FORMAT_SPIFFS_IF_FAILED false

class VFileSystem
{
public:
    int Init();
    size_t TotalSpace();
    size_t FreeSpace();
    int ReadFile(const char* fileName, uint8_t* result, int len);
    int WriteFile(const char* fileName, const uint8_t* data, int len);
};
