#pragma once

#include "Arduino.h"
#include "VFileSystem.h"

#define MAX_ID_LEN 16
#define MAX_CONFIG_LEN 16

class ConfigManager
{
public:
    int Init(VFileSystem* fs);
    int ReadId(String& id);
    int SetId(String id);
    int ReadConfig(String& config);
    int WriteConfig(String config);

private:
    VFileSystem* fs;
};
