import os
import shutil

if os.path.exists('../data'):
    shutil.rmtree('../data')

os.makedirs('../data')

for i in range(1024):
    with open(f"../data/rec-{str(i).zfill(4)}.dat", "wb") as f:
        data = b""
        for j in range(6144):
            data += b"\x00"
        f.write(data)

with open(f"../data/id.txt", "w") as f:
    f.write("NHND02458821")

with open(f"../data/config.txt", "w") as f:
    f.write("2,8,5")

with open(f"../data/position.dat", "wb") as f:
    data = b""
    data += b"\x00\x00\x00\x00"
    data += b"\x00\x00\x00\x00"
    f.write(data)
